Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.tree.xpath
Class ConfigurationNodeIteratorAttribute

    java.lang.Object
      org.apache.commons.configuration.tree.xpath.ConfigurationNodeIteratorBase
          org.apache.commons.configuration.tree.xpath.ConfigurationNodeIteratorAttribute

All Implemented Interfaces:
  org.apache.commons.jxpath.ri.model.NodeIterator

     class ConfigurationNodeIteratorAttribute

extends ConfigurationNodeIteratorBase

A specialized node iterator implementation that deals with attribute nodes.

Version:
  $Id: ConfigurationNodeIteratorAttribute.java 439648 2006-09-02 20:42:10Z oheger $
Author:
  Oliver Heger

Constructor Summary
`ConfigurationNodeIteratorAttribute(org.apache.commons.jxpath.ri.model.NodePointer parent, org.apache.commons.jxpath.ri.QName name)` Creates a new instance of `ConfigurationNodeIteratorAttribute`.

Method Summary
`protected List` | `createSubNodeList(ConfigurationNode node, org.apache.commons.jxpath.ri.QName name)` Determines which attributes are selected based on the passed in node name.

Methods inherited from class org.apache.commons.configuration.tree.xpath.ConfigurationNodeIteratorBase
`createNodePointer, getMaxPosition, getNodePointer, getParent, getPosition, getStartOffset, initSubNodeList, positionToIndex, setPosition, setStartOffset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationNodeIteratorAttribute

    public ConfigurationNodeIteratorAttribute(org.apache.commons.jxpath.ri.model.NodePointer parent,
                                              org.apache.commons.jxpath.ri.QName name)

  Creates a new instance of `ConfigurationNodeIteratorAttribute`.

  Parameters:
    `parent` - the parent node pointer
    `name` - the name of the selected attribute

Method Detail

### createSubNodeList

    protected List createSubNodeList(ConfigurationNode node,
                                     org.apache.commons.jxpath.ri.QName name)

  Determines which attributes are selected based on the passed in node name.

  Parameters:
    `node` - the current node
    `name` - the name of the selected attribute
  Returns:
    a list with the selected attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.